### Constructor

# GimpUi IntRadioFrame new_array

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_int_radio_frame_new_array (
      const gchar** labels
    )

#### Description [src]

A variant of `gimp_int_radio_frame_new()` that takes an array of labels. The array indices are used as values.

Available since: 3.0

This constructor is renamed to `()` in language bindings.

#### Parameters

`labels`

  Type: An array of `gchar*`

  A `NULL`-terminated array of labels.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GimpIntRadioFrame`.

The data is owned by the called function.